> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/cloud-connect/describehuaweicloudvlanusage.md).

# DescribeHuaweiCloudVlanUsage

## 1. 接口描述

本接口(DescribeHuaweiCloudVlanUsage)用于查询华为云接入点VLAN使用情况。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型     | 描述                                             |
| ---------- | -- | ------ | ---------------------------------------------- |
| dcId       | 是  | String | 接入点的数据中心 ID。                                   |
| pairingKey | 否  | String | <p>云平台配对密钥。</p><p>用于按密钥查询对应接入点的 VLAN 使用情况。</p> |

## 3. 响应结果

| 参数名称      | 类型               | 描述                                                       |
| --------- | ---------------- | -------------------------------------------------------- |
| requestId | String           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| start     | Integer          | 可用的 VLAN 范围起始值。                                          |
| end       | Integer          | 可用的 VLAN 范围结束值。                                          |
| usedVlans | Array of Integer | 已使用的 VLAN 列表。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询对应节点接入华为云VLAN的使用情况**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeHuaweiCloudVlanUsage
<Common Request Params>

Request：
{
   "dcId": "11aff7e7-94b8-4aa1-ba93-85c1f5b96f29"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "usedVlans":[
        1024,
        1025,
        2,
        1026,
        1027
    ],
    "start":2,
    "end":4000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
